Bug 3839 - gdb package cannot be built
: gdb package cannot be built
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gdb)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
: 3592
:
  Show dependency tree
 
Reported: 2004-03-18 17:52 by
Modified: 2005-07-13 15:45 (History)


Attachments
Full log of the build process. (36.60 KB, text/plain)
2004-03-18 17:55, ed
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-18 17:52:35
Whan I try to build gdb it fails with the following diagnostic output:
...
gcc -c -pipe -Wall -O2 -march=i586 -mcpu=i686    -I. -I. -I./config
-DLOCALEDIR="\"/usr/share/locale\"" -DHAVE_CONFIG_H   -I/usr/include/bfd 
-I./../include -I../intl -I./../intl -D_BSD_SOURCE -D_XOPEN_SOURCE=500
-D_LARGEFILE64_SOURCE  -DMI_OUT=1 -DUI_OUT=1 -Wimplicit -Wreturn-type -Wcomment
-Wtrigraphs -Wformat -Wparentheses -Wpointer-arith -Wuninitialized  breakpoint.c

blockframe.c: In function `frameless_look_for_prologue':

blockframe.c:325: warning: unused variable `after_prologue'

blockframe.c: At top level:

blockframe.c:664: warning: `struct sec' declared inside parameter list

blockframe.c:664: warning: its scope is only this definition or declaration,
which is probably not what you want

blockframe.c:665: error: conflicting types for `blockvector_for_pc_sect'

symtab.h:1368: error: previous declaration of `blockvector_for_pc_sect'

blockframe.c: In function `blockvector_for_pc_sect':

blockframe.c:673: warning: passing arg 2 of `find_pc_sect_symtab' from
incompatible pointer type

blockframe.c: In function `blockvector_for_pc':

blockframe.c:720: warning: passing arg 2 of `blockvector_for_pc_sect' from
incompatible pointer type

blockframe.c: At top level:

blockframe.c:727: warning: `struct sec' declared inside parameter list

blockframe.c:728: error: conflicting types for `block_for_pc_sect'

frame.h:259: error: previous declaration of `block_for_pc_sect'

blockframe.c: In function `block_for_pc_sect':

blockframe.c:732: warning: passing arg 2 of `blockvector_for_pc_sect' from
incompatible pointer type

blockframe.c: In function `block_for_pc':

blockframe.c:744: warning: passing arg 2 of `block_for_pc_sect' from
incompatible pointer type

blockframe.c: At top level:

blockframe.c:751: warning: `struct sec' declared inside parameter list

blockframe.c:752: error: conflicting types for `find_pc_sect_function'

symtab.h:1100: error: previous declaration of `find_pc_sect_function'

blockframe.c: In function `find_pc_sect_function':

blockframe.c:753: warning: passing arg 2 of `block_for_pc_sect' from
incompatible pointer type

blockframe.c: In function `find_pc_function':

blockframe.c:765: warning: passing arg 2 of `find_pc_sect_function' from
incompatible pointer type

blockframe.c: In function `find_pc_sect_partial_function':

blockframe.c:814: warning: comparison of distinct pointer types lacks a cast

blockframe.c:847: warning: passing arg 2 of `find_pc_sect_function' from
incompatible pointer type

blockframe.c:856: warning: assignment from incompatible pointer type

blockframe.c:908: warning: assignment from incompatible pointer type

make[1]: *** [blockframe.o] Error 1

make[1]: *** Waiting for unfinished jobs....

breakpoint.c: In function `insert_breakpoints':

breakpoint.c:971: warning: value computed is not used

breakpoint.c: In function `create_breakpoints':

breakpoint.c:4537: warning: unused variable `i'

breakpoint.c: In function `do_enable_breakpoint':

breakpoint.c:7372: warning: statement with no effect

make[1]: Leaving directory `/sandman/BUILD/gdb-5.3/gdb'

make: *** [all-gdb] Error 2

make: Leaving directory `/sandman/BUILD/gdb-5.3'

error: Bad exit status from /var/tmp/rpm-tmp.28184 (%build)





RPM build errors:

    Bad exit status from /var/tmp/rpm-tmp.28184 (%build)

can't build `gdb': child process exited abnormally



My build environment is Sisyphus 20040317.

Steps to Reproduce:
1. try to build gdb package.
Actual Results:  
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.28184 (%build)
can't build `gdb': child process exited abnormally
------- Comment #1 From 2004-03-18 17:55:51 -------
Created an attachment (id=359) [details]
Full log of the build process.
------- Comment #2 From 2004-03-18 18:26:33 -------
I know, thanks to QA robot. 
------- Comment #3 From 2004-04-06 17:38:19 -------
Fixed in gdb-6.0.20040223-alt1